package com.bocloud.cmp.model.hmc.pcm;

import java.util.List;

public class NetworkAdapter {
    private String id;
    private String type;
    private String physicalLocation;
    private Double receivedPackets;
    private Double sentPackets;
    private Double droppedPackets;
    private Double sentBytes;
    private Double receivedBytes;
    private List<String> bridgedAdapters;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPhysicalLocation() {
        return physicalLocation;
    }

    public void setPhysicalLocation(String physicalLocation) {
        this.physicalLocation = physicalLocation;
    }

    public Double getReceivedPackets() {
        return receivedPackets;
    }

    public void setReceivedPackets(Double receivedPackets) {
        this.receivedPackets = receivedPackets;
    }

    public Double getSentPackets() {
        return sentPackets;
    }

    public void setSentPackets(Double sentPackets) {
        this.sentPackets = sentPackets;
    }

    public Double getDroppedPackets() {
        return droppedPackets;
    }

    public void setDroppedPackets(Double droppedPackets) {
        this.droppedPackets = droppedPackets;
    }

    public Double getSentBytes() {
        return sentBytes;
    }

    public void setSentBytes(Double sentBytes) {
        this.sentBytes = sentBytes;
    }

    public Double getReceivedBytes() {
        return receivedBytes;
    }

    public void setReceivedBytes(Double receivedBytes) {
        this.receivedBytes = receivedBytes;
    }

    public List<String> getBridgedAdapters() {
        return bridgedAdapters;
    }

    public void setBridgedAdapters(List<String> bridgedAdapters) {
        this.bridgedAdapters = bridgedAdapters;
    }
}
